Upstash Documentation

List Logs

Paginate through logs of published messages
1 min read
get/v2/logs
Request example
Response
get/v2/logs

Authorization

Authorizationstringheaderrequired#
QStash authentication token

1 alternative authorization method available — see the spec for details.

Query parameters

cursorstring#
By providing a cursor you can paginate through all of the logs
messageIdstring#
Filter logs by message ID
stateenum<string>#

Filter logs by message state

ValueDescription
CREATEDThe message has been accepted and stored in QStash
ACTIVEThe task is currently being processed by a worker.
RETRYThe task has been scheduled to retry.
ERRORThe execution threw an error and the task is waiting to be retried or failed.
IN_PROGRESSThe task is in one of ACTIVE, RETRY or ERROR state.
DELIVEREDThe message was successfully delivered.
FAILEDThe task has errored too many times or encountered an error that it cannot recover from.
CANCEL_REQUESTEDThe cancel request from the user is recorded.
CANCELLEDThe cancel request from the user is honored.
Options:CREATEDACTIVERETRYERRORIN_PROGRESSDELIVEREDCANCEL_REQUESTEDCANCELLED
urlstring#
Filter logs by destination URL
topicNamestring#
Filter logs by URL Group name
scheduleIdstring#
Filter logs by schedule ID
queueNamestring#
Filter logs by queue name
fromDateinteger#
Filter logs by starting date, in milliseconds (Unix timestamp). This is inclusive.
toDateinteger#
Filter logs by ending date, in milliseconds (Unix timestamp). This is inclusive.
countinteger#
The number of log entries to return.

Default: 100

Range: <= 100

labelstring[]#

Filter logs by label. Supports multi-value filtering. You can pass multiple values to match messages with any of the given labels (OR logic).

Examples:

  • label=my_label
  • label=label_1&label=label_2

Responses

application/json
200
List of logs
cursorstring#

A cursor which you can use in subsequent requests to paginate through all logs.
If no cursor is returned, you have reached the end of the logs.

logsobject[]#
Show child attributes
timeinteger#
The timestamp of the log entry in Unix milliseconds
messageIdstring#
The message ID associated with the log entry
headerobject#
The headers of the message.
Show child attributes
{key}string[]#
bodystring#
Base64 encoded body of the message.
stateenum<string>#
The state of the message at the time of the log entry.
Options:CREATEDACTIVERETRYERRORDELIVEREDFAILEDCANCEL_REQUESTEDCANCELLED
errorstring#
The error message if the log entry corresponds to an error state.
nextDeliveryTimeinteger#
The next scheduled time of the message. (Unix timestamp in milliseconds)
urlstring#
The URL to which the message is being delivered.
topicNamestring#
The URL Group (a.k.a. topic) name if this message was sent to a URL Group.
endpointNamestring#
The endpoint name of the message if the endpoint is given a name within the URL group.
scheduleIdstring#
The scheduleId of the message if the message is triggered by a schedule
queueNamestring#
The name of the queue if the message is enqueued to a queue.
responseStatusinteger#
The status code of the response. Only set if the state is ERROR
responseBodystring#
The base64 encoded body of the response. Only set if the state is ERROR
responseHeadersobject#
The headers of the response. Only set if the state is ERROR
Show child attributes
{key}string[]#
timeoutinteger#
The timeout(in milliseconds) of the outgoing http requests, after which Qstash cancels the request
methodstring#
HTTP method of the message for outgoing request
callbackstring#
Callback is the URL address where QStash sends the response of a publish
callbackHeadersobject#
The headers sent to the callback URL
Show child attributes
{key}string[]#
failureCallbackstring#
Failur eCallback is the URL address where QStash sends the response of a failed message after all retries are exhausted
failureCallbackHeadersobject#
The headers sent to the failure callback URL
Show child attributes
{key}string[]#
maxRetriesinteger#
The maximum number of retries for the message
retryDelayExpressionstring#
The retry delay expression used for calculating retry delays
labelstringdeprecated#
The label assigned to the message. Deprecated in favor of labels.
labelsstring[]#
The list of labels assigned to the message.